Bug 141793 - Network Monitor can't switch between NICs when one is removed
Network Monitor can't switch between NICs when one is removed
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-12-03 15:08 EST by Gene Wilson
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 10:58:05 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Gene Wilson 2004-12-03 15:08:12 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20041111 Firefox/1.0

Description of problem:
I often switch between the built in network card on my Thinkpad T20 and a 802.11B wireless card depending on my location.  If the card is in place, you can switch between the two network interfaces.  But if you remove the wireless card and then try to switch to the internal card, you get the pop-up error message: 

Please contact your system administrator to resolve the following problem:
SIOCGIFFLAGS error: No such device

The only way to resolve this is if you re-insert the wifi card and then switch to the internal card.

Version-Release number of selected component (if applicable):
gnome-applets-2.8.0-5

How reproducible:
Always

Steps to Reproduce:
1.Configure two Network cards
2.Make sure the removable card is activated
3.Remove that card
4.Single click the applet
5.Read the error


Actual Results:  Pop-up error message:

SIOCGIFFLAGS error: No such device

The only way to resolve this is if you re-insert the wifi card and then switch to the internal card.

Expected Results:  There should be a way to resolve this without putting the card back in.  What if you loose it or it breaks?  It's not a problem if you switch to the internal NIC as the primary connection before you remove the card but if you forget there's no way to fix it.

Additional info:
Comment 1 Gene Wilson 2004-12-06 09:39:42 EST
Sorry about the run-on comment formatting.  I was using the Beta
Bugzilla which does not seem to do word-wrap
Comment 2 Matthew Miller 2006-07-10 17:49:12 EDT
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!
Comment 4 John Thacker 2006-11-05 10:58:05 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.